
Redmine - Feature #39761

Ruby 3.3 support

2023-12-01 09:37 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Ruby 3.3.0 is going to be released on December 25th, 2023.

Related issues:

Copied from Redmine - Feature #38099: Add Ruby 3.2 support Closed

Associated revisions

Revision 22609 - 2024-01-17 01:19 - Go MAEDA

Add Ruby 3.3 to supported Ruby versions (#39761).

Revision 22611 - 2024-01-17 04:00 - Go MAEDA

Update csv, net-imap, and net-smtp gems to the same versions shipped with Ruby 3.3.0 (#39761).

History

#1 - 2023-12-01 09:37 - Go MAEDA

- Copied from Feature #38099: Add Ruby 3.2 support added

#2 - 2023-12-01 09:40 - Go MAEDA

With Ruby 3.3.0-preview3, one test fails.

Failure:

Redmine::WikiFormatting::CommonMark::SanitizationFilterTest#test_should_sanitize_html_strings [/path/to/redmin

e/test/unit/lib/redmine/wiki_formatting/common_mark/sanitization_filter_test.rb:125]:

--- expected

+++ actual

@@ -1 +1 @@

-"<b>Lorem</b> <a title=\"foo\">ipsum</a> <a href=\"http://foo.com/\"><strong>dolor</strong></a> sit<br>amet &

lt;script&gt;alert(\"hello world\");" 

+"<b>Lorem</b> <a title=\"foo\">ipsum</a> <a href=\"http://foo.com/\"><strong>dolor</strong></a> sit<br>amet s

cript&gt;alert(\"hello world\");" 

bin/rails test test/unit/lib/redmine/wiki_formatting/common_mark/sanitization_filter_test.rb:123

#3 - 2023-12-22 01:42 - Go MAEDA

- Assignee deleted (Go MAEDA)

#4 - 2024-01-16 09:16 - Mizuki ISHIKAWA

Go MAEDA wrote in #note-2:

With Ruby 3.3.0-preview3, one test fails.

[...]

 All tests were successful in my environment. I cannot reproduce the same problem as yours.

#5 - 2024-01-17 00:53 - Go MAEDA

Mizuki ISHIKAWA wrote in #note-4:

Go MAEDA wrote in #note-2:
With Ruby 3.3.0-preview3, one test fails.

[...]

 All tests were successful in my environment. I cannot reproduce the same problem as yours.

 Thank you, I confirmed that updating to Nokogiri 1.6.0 in r22576 fixed this issue.

#6 - 2024-01-17 01:21 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Ruby 3.3 is now supported in r22609 and later.
